<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Max-Age: 1000');
header('Access-Control-Allow-Headers: Content-Type');
require_once('../lib/dbclass.php');


$ward      = $_REQUEST['ward'];
$uniquedid = $_REQUEST['uniquedid'];
$userid    = $_REQUEST['userid'];
$filter    = $_REQUEST['filter'];
$where     = 'tbl_transaction.id>0 and tbl_transaction.donation=1 and tbl_transaction.Received>0 ';




if ($ward > 0) {
    $where .= " and (tbl_customer.Ward=$ward) ";
}




if ($filter != '') {
    $where .= " and tbl_customer.name like '%$filter%'";
}






$data = findQuery("SELECT tbl_transaction.customerid,tbl_transaction.hideidendity,tbl_transaction.id,DATE_FORMAT(tbl_transaction.dateadded,'%H:%i:%s')orderedtime,tbl_customer.name,tbl_ward.ward_name,tbl_panchayat.panchayat_name,tbl_assembly.name assembly,tbl_panchayat.id panchayatid,tbl_transaction.uniquedid,tbl_transaction.volunteer,
    tbl_district.district_name,tbl_transaction.Received,MONTHNAME(tbl_transaction.dateadded) month,day(tbl_transaction.dateadded) day,tbl_ward.id wardid,tbl_transaction.clubid
     from tbl_transaction
     inner join tbl_customer on tbl_customer.id=tbl_transaction.customerid left join tbl_ward on tbl_ward.id=tbl_customer.Ward left join tbl_panchayat on tbl_panchayat.id=tbl_customer.Panchayat
    left join tbl_assembly on tbl_assembly.id=tbl_customer.Assembly 
    left join tbl_district on tbl_district.id=tbl_customer.District where  $where order by tbl_transaction.id desc 
    
    
    
    
    
    
    
    
    
   ");

if ($data) {
    $message = 'true';
    for ($i = 0;$i < count($data);$i++) {
        $fullypaid     = 0;
        $canchangeward = 0;

        if ($data[$i]['Received'] > 0) {
            $fullypaid = 1;
        }

        if ($data[$i]['hideidendity'] == 1) {
            $data[$i]['name'] = 'xxxxxxxxxx';
        }

        if ($data[$i]['uniquedid'] == $uniquedid) {
            $canchangeward = 1;
        }

        if ($data[$i]['volunteer'] == $userid && $userid > 0) {
            $canchangeward = 1;
        }

        if ($data[$i]['wardid'] == 0) {
            $clubid                = $data[$i]['clubid'];
            $club                  = findQuery("SELECT * from tbl_club where id=$clubid");
            $data[$i]['ward_name'] = $club[0]['club_name'];
        }


        $data2[] = [


'customerid'    => $data[$i]['customerid'],
'name'          => $data[$i]['name'],
'ward'          => $data[$i]['ward_name'] ? $data[$i]['ward_name'] : 'NA',
'panchayat'     => $data[$i]['panchayat_name'] ? $data[$i]['panchayat_name'] : 'NA',
'assembly'      => $data[$i]['assembly'] ? $data[$i]['assembly'] : 'NA',
'district'      => $data[$i]['district_name'] ? $data[$i]['district_name'] : 'NA',
'amount'        => $data[$i]['Received'],
'month'         => $data[$i]['month'],
'day'           => $data[$i]['day'],
'time'          => $data[$i]['orderedtime'],
'id'            => $data[$i]['id'],
'fullypaid'     => $fullypaid,
'canchangeward' => $canchangeward,
'panchayatid'   => $data[$i]['panchayatid'],
'receiptname'   => $data[$i]['name'],
];
    }
} else {
    $message = 'false';
    $data2[] = ['error' => 'Not Found'];
}



echo json_encode(['Status' => $message, 'data' => $data2]);

return;

?>

